# Generated from torque-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name torque

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: Generates release notes for a project from Pivotal Tracker stories
License: MIT
URL: https://github.com/Scrimmage/torque
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha) >= 0.14.0
# BuildRequires: rubygem(rspec) > 2.14.1
BuildArch: noarch

%description
Compiles Pivotal Tracker stories into a local document to help generate
release notes.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/torque
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md

%changelog
* Thu Sep 16 2021 mockbuilder - 0.4.1-1
- Initial package
